Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.deployment
Class WSRPDeployer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.deployment.SubDeployerSupport
                  org.jboss.portal.wsrp.deployment.WSRPDeployer

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.deployment.SubDeployer, org.jboss.deployment.SubDeployerExt, org.jboss.deployment.SubDeployerExtMBean, org.jboss.deployment.SubDeployerMBean, WSRPDeployerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class WSRPDeployer

extends org.jboss.deployment.SubDeployerSupport
implements WSRPDeployerMBean

Version:
  $Revision: 9360 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.deployment.SubDeployerSupport
`org.jboss.deployment.SubDeployerSupport.ClassConfiguration`

Field Summary

Fields inherited from class org.jboss.deployment.SubDeployerSupport
`CONFIGURATION, enhancedSuffixes, mainDeployer, nativePrefix, nativeSuffix, relativeOrder, suffixes, tempDeployDir`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.deployment.SubDeployer
`CREATE_NOTIFICATION, DESTROY_NOTIFICATION, INIT_NOTIFICATION, RELATIVE_ORDER_100, RELATIVE_ORDER_200, RELATIVE_ORDER_300, RELATIVE_ORDER_400, RELATIVE_ORDER_500, RELATIVE_ORDER_600, RELATIVE_ORDER_700, RELATIVE_ORDER_800, RELATIVE_ORDER_900, START_NOTIFICATION, STOP_NOTIFICATION`

Constructor Summary
`WSRPDeployer()`

Method Summary
`ConsumerRegistry` | `getConsumerRegistry()`
`java.lang.String` | `getDefaultWSRPLocation()`
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`void` | `init(org.jboss.deployment.DeploymentInfo di)`
`void` | `setConsumerRegistry(ConsumerRegistry consumerRegistry)`
`void` | `setDefaultWSRPLocation(java.lang.String defaultWSRPLocation)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver entityResolver)`
`void` | `start(org.jboss.deployment.DeploymentInfo di)`
`protected void` | `startService()`
`void` | `stop(org.jboss.deployment.DeploymentInfo di)`
`protected void` | `stopService()`

Methods inherited from class org.jboss.deployment.SubDeployerSupport
`accepts, addDeployableFiles, addDeployableJar, create, createService, deployUrl, destroy, destroyService, emitNotification, getEnhancedSuffixes, getRelativeOrder, getSuffixes, isDeployable, processNestedDeployments, setEnhancedSuffixes, setRelativeOrder, setSuffixes`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.deployment.SubDeployerExtMBean
`getEnhancedSuffixes, setEnhancedSuffixes`

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`accepts, create, destroy, getRelativeOrder, getServiceName, getSuffixes`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface org.jboss.deployment.SubDeployer
`getServiceName`

Constructor Detail

### WSRPDeployer

    public WSRPDeployer()

Method Detail

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Specified by:
    `getEntityResolver` in interface `WSRPDeployerMBean`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver entityResolver)

  Specified by:
    `setEntityResolver` in interface `WSRPDeployerMBean`

### getConsumerRegistry

    public ConsumerRegistry getConsumerRegistry()

  Specified by:
    `getConsumerRegistry` in interface `WSRPDeployerMBean`

### setConsumerRegistry

    public void setConsumerRegistry(ConsumerRegistry consumerRegistry)

  Specified by:
    `setConsumerRegistry` in interface `WSRPDeployerMBean`

### getDefaultWSRPLocation

    public java.lang.String getDefaultWSRPLocation()

  Specified by:
    `getDefaultWSRPLocation` in interface `WSRPDeployerMBean`

### setDefaultWSRPLocation

    public void setDefaultWSRPLocation(java.lang.String defaultWSRPLocation)

  Specified by:
    `setDefaultWSRPLocation` in interface `WSRPDeployerMBean`

### init

    public void init(org.jboss.deployment.DeploymentInfo di)
              throws org.jboss.deployment.DeploymentException

  Specified by:
    `init` in interface `org.jboss.deployment.SubDeployer`
  Specified by:
    `init` in interface `org.jboss.deployment.SubDeployerMBean`
  Overrides:
    `init` in class `org.jboss.deployment.SubDeployerSupport`
  Throws:
    `org.jboss.deployment.DeploymentException`

### start

    public void start(org.jboss.deployment.DeploymentInfo di)
               throws org.jboss.deployment.DeploymentException

  Specified by:
    `start` in interface `org.jboss.deployment.SubDeployer`
  Specified by:
    `start` in interface `org.jboss.deployment.SubDeployerMBean`
  Overrides:
    `start` in class `org.jboss.deployment.SubDeployerSupport`
  Throws:
    `org.jboss.deployment.DeploymentException`

### stop

    public void stop(org.jboss.deployment.DeploymentInfo di)
              throws org.jboss.deployment.DeploymentException

  Specified by:
    `stop` in interface `org.jboss.deployment.SubDeployer`
  Specified by:
    `stop` in interface `org.jboss.deployment.SubDeployerMBean`
  Overrides:
    `stop` in class `org.jboss.deployment.SubDeployerSupport`
  Throws:
    `org.jboss.deployment.DeploymentException`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.deployment.SubDeployerSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `org.jboss.deployment.SubDeployerSupport`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD